Bug 838248 - libreoffice calc standard filter doesn't show criteria after file re-open
libreoffice calc standard filter doesn't show criteria after file re-open
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-07 17:09 EDT by Stan King
Modified: 2012-08-18 20:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-18 20:27:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A libreoffice calc spreadsheet with a simple standard filter. (7.99 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-07 17:09 EDT, Stan King
no flags Details
Example of blank standard filter criteria when I open the attached spreadsheet. (20.18 KB, image/png)
2012-07-07 17:13 EDT, Stan King
no flags Details

  None (edit)
Description Stan King 2012-07-07 17:09:43 EDT
Created attachment 596813 [details]
A libreoffice calc spreadsheet with a simple standard filter.

Description of problem:

With the most recent version of libreoffice calc on Fedora 17, when I open a spreadsheet file in which I've defined a standard filter before saving it, the filter criteria are still applied, but when editing it, the comparison criteria (after the equal sign or whatever) appear blank.

If I open spreadsheet files that I created last year, I don't see this problem.  Also, a file exhibiting this problem on Fedora 17 looks OK when viewed from LibreOffice 3.4.2 on Windows 7.

I'll try to attach a file which exhibits this.


Version-Release number of selected component (if applicable):

rpm info: libreoffice-calc-3.5.4.2-4.fc17.x86_64

additional info from the "about" box: Build ID: 350m1(Build:2)


How reproducible:

Every time.


Steps to Reproduce:
1. Create a new spreadsheet, enter some data, and impose a standard filter on it.
2. Save the file, then exit LibreOffice.
3. Open the file; you'll see the criteria applied, but they'll appear blank in the criteria editor.
  
Actual results:

Blank criteria in the standard filter editor.


Expected results:

Expect to see the previously-saved criteria in the standard filter editor.

Additional info:
Comment 1 Stan King 2012-07-07 17:13:39 EDT
Created attachment 596814 [details]
Example of blank standard filter criteria when I open the attached spreadsheet.
Comment 3 Eike Rathke 2012-07-10 05:20:37 EDT
Upstream 3-5, so will be included in 3.5.6
http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=22ccbeef9c88b01ac841de37dfcb5985dc05a530
Comment 4 Fedora Update System 2012-08-01 15:42:40 EDT
libreoffice-3.5.5.3-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.5.3-5.fc17
Comment 5 Fedora Update System 2012-08-02 07:23:57 EDT
Package libreoffice-3.5.5.3-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.5.3-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11418/libreoffice-3.5.5.3-5.fc17
then log in and leave karma (feedback).
Comment 6 Stan King 2012-08-03 02:21:56 EDT
I'd love to try this out, but when doing the above "yum" command, I get the following message:

Package(s) libreoffice-3.5.5.3-5.fc17 available, but not installed.
No Packages marked for Update

On my machine, I have a number of packages whose names are libreoffice- followed by a component name, but nothing named just "libreoffice".

Do I need to specify the components manually?  If so, which ones?
Comment 7 Caolan McNamara 2012-08-03 05:16:58 EDT
try yum update --enablerepo=updates-testing libreoffice-calc-3.5.5.3-5.fc17
Comment 8 Stan King 2012-08-04 17:02:09 EDT
That did the trick, Caolan.  Thank you.  I've deposited some good karma.
Comment 9 Fedora Update System 2012-08-09 02:56:56 EDT
libreoffice-3.5.6.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.6.2-1.fc17
Comment 10 Fedora Update System 2012-08-18 20:27:38 EDT
libreoffice-3.5.6.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.